<ion-content class="main-content">
  <div class="section">

    <div class="section-header">
      <div class="section-image-wrapper"><img class="section-image" src="../../../assets/logo-dr-who-white.png" class="icon-logo" alt="Doctor Who logo"></div>
      <h5 class="section-title">REGISTRARSE</h5>
    </div>

    <div class="section-body">
    
        
        <!-- MAPA -->
      <ion-searchbar debounce=500 (ionChange)="search($event)" [value]="selectedAddress"></ion-searchbar>
      <div style="position: absolute; width: 100%; z-index:999; background: #fff;" color="light">
        <ion-list lines="none" color="light" style="background: #f4f5f8" *ngIf="addresses.length > 0">
          <ion-item button *ngFor="let address of addresses" color="light" (click)="onSelect(address)"> 
              <ion-icon  name="pin"></ion-icon>
              <p>{{address}}</p>
          </ion-item>
        </ion-list> 
      </div>
      <div id="map-container"  style="height: 55vh; margin-top: .8em;">
        <div #map id='map'  style="height: 100%;"></div>
      </div>
      <!-- MAPA -->
    
      <div class="section-button-wrapper">
        <div class="section-button">
          <ion-button (click)="saveCoordenades()" expand="block" color="warning">REGISTRAR</ion-button>
        </div>
      </div>
   
    </div>

    <div class="section-footer">
      <img class="section-footer-image" src="../../../assets/tardis.jpg" alt="" srcset="">
    </div>

  </div>
</ion-content>